// register window functions for Montonio
window.montonio_complete_url = null;
window.updateMerchantSystem  = function() {
    jQuery.post($updateUrl + '?security=' + $ajaxNonce, {order_id: $orderId}, function(response) {
        try {
            var parsed = JSON.parse(response);
            if (parsed.status == "OK") {
                window.montonio_complete_url = parsed.data;
            } else {
                window.location = parsed.data;
            }
        } catch(err) {
            window.location = $homeUrl;
        }
    })
}

window.userClosedGateway = function() {
    Montonio.removeBackdrop();
}

window.completedFunction = function() {
    if (window.montonio_complete_url) {
        window.location = window.montonio_complete_url;
    }
}

// register handle for reopening modal
jQuery(document).on('click', '#montonio-open-modal', function(e) {
    initMontonio();
})

// init Montonio
if (Montonio) {
    initMontonio();
}
else throw new Error('Unable to load Montonio SDK');

function initMontonio() {
    Montonio.init();
    Montonio.setEnvironment($env);
    Montonio.prepareDraftToken($draftToken);
    Montonio.addBackdrop();
    Montonio.openModal();
}
