jQuery(document).on('click', '#montonio-shipping-create-shipment', function(e) {
    var data = {
        action: 'montonio_shipping_create_shipment',
        orderId: orderId
    };

    jQuery('#montonio-shipping-create-shipment').attr('disabled', true);
    jQuery('#montonio-shipping-create-shipment-spinner').addClass("is-active");
    jQuery.post(callbackUrl, data, function() {

        if (wp && wp.data && wp.data.dispatch) {
            wp.data.dispatch("core/notices").createNotice(
                "success", // Can be one of: success, info, warning, error.
                "Shipment created successfully", // Text string to display.
            );
        } else {
            alert("Shipment created successfully");
        }

    }).fail(function(response) {
        if (wp && wp.data && wp.data.dispatch) {
           wp.data.dispatch("core/notices").createNotice(
                "error", // Can be one of: success, info, warning, error.
                "Shipment creation failed", // Text string to display.
           );
        } else {
            alert("Shipment creation failed");
        }
    }).always(function() {
        jQuery('#montonio-shipping-create-shipment').attr('disabled', false);
        jQuery('#montonio-shipping-create-shipment-spinner').removeClass("is-active");
    });
});
