<?php
defined('ABSPATH') or exit;

require_once dirname(dirname(__FILE__)) . '/class-montonio-shipping-method-settings.php';

class Montonio_DPD_Courier_Settings extends Montonio_Shipping_Method_Settings
{
    /**
     * @var float
     */
    protected $maximumWeight = Montonio_DPD_Courier::MAXIMUM_WEIGHT;

    public function __construct()
    {
        parent::__construct();
        $this->defaultTitle = 'DPD courier';
    }

    /**
     * @return self
     */
    public static function create()
    {
        return new self();
    }

    /**
     * @return void
     */
    protected function initBasicFormFields()
    {
        $this->setFormFields($this->getCommonBasicFormFields());
    }

    /**
     * @return void
     */
    protected function initInstanceFormFields()
    {
        $this->setInstanceFormFields($this->getCommonInstanceFormFields());
    }
}
