jQuery(document).ready(function() {
    jQuery(document).on('change', '#montonio-split-settings-select', function (e) {
        var selectedLocale = this.value;

        jQuery('.montonio-list-table').removeClass('active');
        console.log('.montonio-locale-'+selectedLocale);
        console.log(jQuery('.montonio-locale-'+selectedLocale));
        jQuery('.montonio-locale-'+selectedLocale).addClass('active');
    })

    jQuery(document).on('submit', function(e) {
        var inputs = jQuery('.split-method-settings-input', e.target);
        console.log(inputs);
        inputs = inputs.map(function(i, elem) {
            elem = jQuery(elem);
            val = elem.attr('type') == 'checkbox' ? elem.is(':checked') : elem.val();
            return [[elem.attr('name'), val]];
        })
        
        var json = {};
        var currentLocale;
        for(i = 0; i < inputs.length; i++) {
            var localeAndName = inputs[i][0].split('-');
            var locale = localeAndName[0];
            var name = localeAndName[1];

            if (currentLocale != locale) {
                json[locale] = {}
                currentLocale = locale;
            }

            json[currentLocale][name] = inputs[i][1]; // the value
        }

        try {
            json = JSON.stringify(json);
        } catch (error) {
            alert('An error occurred when saving Split settings.')
        }

        jQuery('#splitMethods').val(json);

    })
})