
<?php
/* @var $chosenShippingMethodId string */
/* @var $placeholder string */
/* @var $pickupPoints array */
?>

<tr class="montonio-pickup-point">
    <td colspan="2" class="forminp">
        <label for="<?php echo 'montonio-pickup-point-select-' . $chosenShippingMethodId; ?>"><?php echo __('Pickup point', 'montonio-for-woocommerce'); ?> <abbr class="required" title="required">*</abbr></label>
        <select name="montonio_pickup_point" id="<?php echo 'montonio-pickup-point-select-' . $chosenShippingMethodId; ?>" data-placeholder="<?php echo $placeholder; ?>" class="montonio-pickup-point-select">
            <option value=""><?php echo $placeholder ?></option>
            <?php
            foreach ($pickupPoints as $pickupPointsCategory => $pickupPointsInCategory) {
                echo '<optgroup label="' . $pickupPointsCategory . '">';

                foreach ($pickupPointsInCategory as $pickupPointOption) {
                    echo '<option value="' . $pickupPointOption->uuid . '">' . $pickupPointOption->name . '</option>';
                }

                echo '</optgroup>';
            }
            ?>
        </select>
        <br />
    </td>
</tr>
